Opened 11 months ago

Closed 3 months ago

#11285 closed defect (invalid)

BACKENDS: Wacom Intuos Tablet - pointer does not work

Reported by: mcfarrel Owned by: sev-
Priority: normal Component: Ports
Keywords: Wacom, tablet, pen, mouse pointer Cc: mcfarrel
Game:

Description

Using Wacom Intuos Tablet model L I do encountered problems with "mouse" pointer not working properly in ScummVM.

The Mouse pointer does not follow the pen on the tablet in the ScummVM window, when "clicking" by pen tip the pointer moves to the click location at 50% of times (approx), same as reacting to a click in 50% of times used (approx).
Oddly enough the eraser of the pen (I had mapped as a right click) is behaving somewhat better, where the pointer does follow the eraser on tablet in the ScummVM window. This behaviour is unaffected by any changes in Wacom tablet SW (I did tried to delete and re-create tablet feature setup for the ScummVM - that was originally working fine on version 2.0.0 win32)
The problematic behaviour is not related to any specific game, it does appear in the launcher menu as well.

This problem has been identified on both Win32 and Win64 builds using Windows 7SP1 64bit (further patched) on these builds:

ScummVM 2.1.0 (Oct 5 2019 01:07:22) 32bit
Features compiled in: Vorbis FLAC MP3 RGB zLib MPEG2 FluidSynth Theora AAC A/52 FreeType2 JPEG PNG cloud (servers, local)

ScummVM 2.1.0 (Oct 5 2019 01:08:33) 64bit
Features compiled in: Vorbis FLAC MP3 RGB zLib MPEG2 FluidSynth Theora AAC A/52 FreeType2 JPEG PNG cloud (servers, local)

ScummVM 2.2.0git1500-gd00ee14158 (Dec 19 2019 04:47:56) 64bit
Features compiled in: TAINTED Vorbis FLAC MP3 RGB zLib MPEG2 FluidSynth Theora AAC A/52 FreeType2 JPEG PNG cloud (servers, local)

On the other hand these version I have tested works fine and there is no visible difference between mouse and pen navigation:

ScummVM 2.2.0git1500-gd00ee14158 (Dec 19 2019 04:21:19) 32bit
Features compiled in: TAINTED Vorbis FLAC MP3 RGB zLib MPEG2 FluidSynth Theora AAC A/52 FreeType2 JPEG PNG cloud (local)

ScummVM 2.0.0 (Dec 9 2017 07:14:40) 32bit
Features compiled in: Vorbis FLAC MP3 RGB zLib MPEG2 FluidSynth Theora AAC FreeType2 JPEG PNG

PS
I suppose the problem does extend to other Wacom Intuos tablet models (S and M) and probably to additional Wacom tablets (untested).

McF

Change History (2)

comment:1 by raziel-, 4 months ago

Summary: Wacom Intuos Tablet poniter does not workBACKENDS: Wacom Intuos Tablet - pointer does not work

comment:2 by sev-, 3 months ago

Owner: set to sev-
Resolution: invalid
Status: newclosed

This problem belongs to SDL. Unfortunately, we cannot do anything, perhaps there is an SDL setting which enables tablet usage.

Note: See TracTickets for help on using tickets.